Bug 287321 - caching-nameserver listing files not created by package
caching-nameserver listing files not created by package
Product: Fedora
Classification: Fedora
Component: caching-nameserver (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Tkac
Depends On:
  Show dependency treegraph
Reported: 2007-09-12 02:26 EDT by Daniel McNamara
Modified: 2013-04-30 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 9.4.2-0.3.1.b1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-18 09:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel McNamara 2007-09-12 02:26:03 EDT
Description of problem:

rpm -ql output of package lists a number of files, not in fact created by the

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install caching-nameserver
2. run rpm -ql caching-nameserver
3. Scratch your head as you try and find the files rpm claims package creates.
Also wonder why the hell rpm -V caching-nameserver returns no errors about
missing files
Actual results:

Expected results:

Additional info:
Comment 1 Daniel McNamara 2007-09-12 02:32:11 EDT
Example below:

[root@firefly named]# rpm -ql caching-nameserver

[root@firefly named]# ls /etc/name*
/etc/named.caching-nameserver.conf  /etc/named.rfc1912.zones

[root@firefly named]# ls /var/named/chroot/var/named/
[root@firefly named]# 

[root@firefly named]# ls /var/named/chroot/etc/
[root@firefly named]# 

RPM should -not- list files that the packge does not create or if they are files
that -might- be used by the package then dummy files (simple commented out
examples) should be created.

Confusion is caused by having files listed that do not in fact exist. Confusion
is further compounded when the rpm verifcation process states that there is no
issue (ie displays nothing about missing files).

[root@firefly named]# rpm -V caching-nameserver
[root@firefly named]# 

Comment 2 Adam Tkac 2007-09-17 11:25:07 EDT
That files are marked as %ghost in specfile so they will not exist. But it makes
sence to have chroot stuff in bind-chroot package.
Comment 3 Adam Tkac 2007-09-18 09:09:35 EDT
Commited + tagged into CVS but I'm not going to release this now. We should wait
for more serious issue


Note You need to log in before you can comment on or make changes to this bug.